Sync librelp 1.2.7-1 (main) from Debian unstable (main)

Bug #1322785 reported by Logan Rosen on 2014-05-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
librelp (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync librelp 1.2.7-1 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * debian/{rules,control}: switch from autotools-dev to autoreconf.
Upstream updated the libtool files, so it should not longer FTBFS on ppc64el. I grepped for the appropriate strings in the source.

Changelog entries since current utopic version 1.2.2-2ubuntu1:

librelp (1.2.7-1) unstable; urgency=medium

  * New upstream release.
    - Fixes incompatibilities with C++ in librelp.h. (Closes: #746256)

 -- Michael Biebl <email address hidden> Tue, 29 Apr 2014 18:28:39 +0200

librelp (1.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libgnutls-dev to (>= 2.10.0) to ensure we have
    support for gnutls_certificate_set_verify_function().

 -- Michael Biebl <email address hidden> Thu, 20 Mar 2014 23:19:48 +0100

librelp (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Upstream reverted the API changes from the previous version 1.2.13 and
    instead introduced two new functions. Update symbols file accordingly.

 -- Michael Biebl <email address hidden> Mon, 17 Mar 2014 13:33:52 +0100

librelp (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump symbols version of relpCltEnableTLS and relpCltEnableTLSZip to 1.2.3
    due to an API change. Those functions used to return void and now return a
    state.

 -- Michael Biebl <email address hidden> Thu, 13 Mar 2014 17:54:37 +0100

Logan Rosen (logan) on 2014-05-24
Changed in librelp (Ubuntu):
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

This bug was fixed in the package librelp - 1.2.7-1
Sponsored for Logan Rosen (logan)

---------------
librelp (1.2.7-1) unstable; urgency=medium

  * New upstream release.
    - Fixes incompatibilities with C++ in librelp.h. (Closes: #746256)

 -- Michael Biebl <email address hidden> Tue, 29 Apr 2014 18:28:39 +0200

librelp (1.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libgnutls-dev to (>= 2.10.0) to ensure we have
    support for gnutls_certificate_set_verify_function().

 -- Michael Biebl <email address hidden> Thu, 20 Mar 2014 23:19:48 +0100

librelp (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Upstream reverted the API changes from the previous version 1.2.13 and
    instead introduced two new functions. Update symbols file accordingly.

 -- Michael Biebl <email address hidden> Mon, 17 Mar 2014 13:33:52 +0100

librelp (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump symbols version of relpCltEnableTLS and relpCltEnableTLSZip to 1.2.3
    due to an API change. Those functions used to return void and now return a
    state.

 -- Michael Biebl <email address hidden> Thu, 13 Mar 2014 17:54:37 +0100

Changed in librelp (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers